Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.content.x509
Class XMLX509Digest

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.Signature11ElementProxy
              org.apache.xml.security.keys.content.x509.XMLX509Digest

All Implemented Interfaces:
  XMLX509DataContent

    public class XMLX509Digest

extends Signature11ElementProxy
implements XMLX509DataContent

Provides content model support for the `dsig11:X509Digest` element.

Author:
  Brent Putman (putmanb@georgetown.edu)

Field Summary

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`XMLX509Digest(org.w3c.dom.Document doc, byte[] digestBytes, java.lang.String algorithmURI)` Constructor XMLX509Digest
`XMLX509Digest(org.w3c.dom.Document doc, java.security.cert.X509Certificate x509certificate, java.lang.String algorithmURI)` Constructor XMLX509Digest
`XMLX509Digest(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructor XMLX509Digest

Method Summary
`java.lang.String` | `getAlgorithm()` Method getAlgorithm
`org.w3c.dom.Attr` | `getAlgorithmAttr()` Method getAlgorithmAttr
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`byte[]` | `getDigestBytes()` Method getDigestBytes
`static byte[]` | `getDigestBytesFromCert(java.security.cert.X509Certificate cert, java.lang.String algorithmURI)` Method getDigestBytesFromCert

Methods inherited from class org.apache.xml.security.utils.Signature11ElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLX509Digest

    public XMLX509Digest(org.w3c.dom.Element element,
                         java.lang.String BaseURI)
                  throws XMLSecurityException

  Constructor XMLX509Digest

  Parameters:
    `element` -
    `BaseURI` -
  Throws:
    `XMLSecurityException`

### XMLX509Digest

    public XMLX509Digest(org.w3c.dom.Document doc,
                         byte[] digestBytes,
                         java.lang.String algorithmURI)

  Constructor XMLX509Digest

  Parameters:
    `doc` -
    `digestBytes` -
    `algorithmURI` -

### XMLX509Digest

    public XMLX509Digest(org.w3c.dom.Document doc,
                         java.security.cert.X509Certificate x509certificate,
                         java.lang.String algorithmURI)
                  throws XMLSecurityException

  Constructor XMLX509Digest

  Parameters:
    `doc` -
    `x509certificate` -
    `algorithmURI` -
  Throws:
    `XMLSecurityException`

Method Detail

### getAlgorithmAttr

    public org.w3c.dom.Attr getAlgorithmAttr()

  Method getAlgorithmAttr

  Returns:
    the Algorithm attribute

### getAlgorithm

    public java.lang.String getAlgorithm()

  Method getAlgorithm

  Returns:
    Algorithm string

### getDigestBytes

    public byte[] getDigestBytes()
                          throws XMLSecurityException

  Method getDigestBytes

  Returns:
    the digestbytes
  Throws:
    `XMLSecurityException`

### getDigestBytesFromCert

    public static byte[] getDigestBytesFromCert(java.security.cert.X509Certificate cert,
                                                java.lang.String algorithmURI)
                                         throws XMLSecurityException

  Method getDigestBytesFromCert

  Parameters:
    `cert` -
    `algorithmURI` -
  Returns:
    digest bytes from the given certificate
  Throws:
    `XMLSecurityException`

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD